curl --request PATCH \
--url https://dev.intermezzo.ai/organizations/{organization_id}/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"isInsolvent": false,
"insolvencyStartDate": "2023-12-25",
"insolvencyEndDate": "2023-12-25",
"insolvencyCompanyNumber": "<string>",
"insuranceSubsidyMethod": "remuneration",
"extraPaidLeaveDays": 123,
"firstPayrollDate": "2023-12-25",
"lastPayrollDate": "2023-12-25",
"firstPayrollIntermezzo": "2023-12-25",
"preferencesCountry": "DE",
"insuranceCreditPreference": "<string>",
"daysForSicknessCertificate": 4,
"additionalChildcareSickDaysReason": 0
}
'{
"id": 123,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"isInsolvent": false,
"insolvencyStartDate": "2023-12-25",
"insolvencyEndDate": "2023-12-25",
"insolvencyCompanyNumber": "<string>",
"insuranceSubsidyMethod": "remuneration",
"extraPaidLeaveDays": 123,
"firstPayrollDate": "2023-12-25",
"lastPayrollDate": "2023-12-25",
"firstPayrollIntermezzo": "2023-12-25",
"preferencesCountry": "DE",
"insuranceCreditPreference": "<string>",
"daysForSicknessCertificate": 4,
"additionalChildcareSickDaysReason": 0
}Update preferences for an organization.
curl --request PATCH \
--url https://dev.intermezzo.ai/organizations/{organization_id}/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"isInsolvent": false,
"insolvencyStartDate": "2023-12-25",
"insolvencyEndDate": "2023-12-25",
"insolvencyCompanyNumber": "<string>",
"insuranceSubsidyMethod": "remuneration",
"extraPaidLeaveDays": 123,
"firstPayrollDate": "2023-12-25",
"lastPayrollDate": "2023-12-25",
"firstPayrollIntermezzo": "2023-12-25",
"preferencesCountry": "DE",
"insuranceCreditPreference": "<string>",
"daysForSicknessCertificate": 4,
"additionalChildcareSickDaysReason": 0
}
'{
"id": 123,
"validFrom": "2023-12-25",
"validTo": "2023-12-25",
"isInsolvent": false,
"insolvencyStartDate": "2023-12-25",
"insolvencyEndDate": "2023-12-25",
"insolvencyCompanyNumber": "<string>",
"insuranceSubsidyMethod": "remuneration",
"extraPaidLeaveDays": 123,
"firstPayrollDate": "2023-12-25",
"lastPayrollDate": "2023-12-25",
"firstPayrollIntermezzo": "2023-12-25",
"preferencesCountry": "DE",
"insuranceCreditPreference": "<string>",
"daysForSicknessCertificate": 4,
"additionalChildcareSickDaysReason": 0
}Get token from Auth0 and paste it here
Update organization preferences for Germany. The model must contain only optional fields.
remuneration, assessment_ceiling First payroll (ever) run by the company
Last payroll run in other system before Intermezzo's first payroll
First date Intermezzo software is used for payroll
"DE"Für die Möglichkeit der Überweisung, Verrechnung oder Gutschrift ist eine entsprechende Eingabemöglichkeit vorzusehen.
Reason for the selection of the number of additional paid sick days for childcare.
0, 1, 2, 3 Successful Response
remuneration, assessment_ceiling First payroll (ever) run by the company
Last payroll run in other system before Intermezzo's first payroll
First date Intermezzo software is used for payroll
"DE"Für die Möglichkeit der Überweisung, Verrechnung oder Gutschrift ist eine entsprechende Eingabemöglichkeit vorzusehen.
Reason for the selection of the number of additional paid sick days for childcare.
0, 1, 2, 3 Was this page helpful?